org.springframework.messaging.handler.annotation.support

## Class AbstractNamedValueMethodArgumentResolver.NamedValueInfo

- java.lang.Object
- - org.springframework.messaging.handler.annotation.support.AbstractNamedValueMethodArgumentResolver.NamedValueInfo

Enclosing class:
  AbstractNamedValueMethodArgumentResolver

    protected static class AbstractNamedValueMethodArgumentResolver.NamedValueInfo
    extends Object

Represents a named value declaration.

### Constructor Summary

Constructors
`protected` `NamedValueInfo(String name, boolean required, String defaultValue)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamedValueInfo

    protected NamedValueInfo(String name,
                             boolean required,
                             @Nullable
                             String defaultValue)